Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36070 - bnwikisource index table should show the page number in Bengali
bnwikisource index table should show the page number in Bengali
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ProofreadPage (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Tpt
: patch-need-review
Depends on:
Blocks: Wikisource 40760
  Show dependency treegraph
 
Reported: 2012-04-18 18:04 UTC by Belayet Hossain
Modified: 2012-10-04 09:53 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Belayet Hossain 2012-04-18 18:04:51 UTC
In Bengali (bn) Wikisource, the index table should show the page number in Bengali instead of English. Please see an index page, http://bit.ly/I6pLGa


Also the page name should use Bengali numbers after the "/" instead of English. Please see a page, http://bit.ly/HT0xui

Please take necessary steps to resolve these.
Comment 1 enomil 2012-04-18 18:58:55 UTC
How about to add this to the AtoB parameter like <pageslist 1to20=bengali /> and add support for other number systems (devangari, telugu, thai, ...). This not solve the problem with the used page numbers atfer the "/", but I guess it is much more easier to implement.
Comment 2 Bawolff (Brian Wolff) 2012-04-19 02:22:41 UTC
(In reply to comment #1)
> How about to add this to the AtoB parameter like <pageslist 1to20=bengali />
> and add support for other number systems (devangari, telugu, thai, ...). This
> not solve the problem with the used page numbers atfer the "/", but I guess it
> is much more easier to implement.

Actually its really easy to fix. Extension should be calling $wgContLang->formatNum( number_here ); before outputting any number. (or wfMessage( 'msg-name' )->numParams( 1233 ); if you like the new message class)
Comment 3 enomil 2012-04-19 08:47:28 UTC
(In reply to comment #2)
> Actually its really easy to fix. Extension should be calling
> $wgContLang->formatNum( number_here ); before outputting any number. (or
> wfMessage( 'msg-name' )->numParams( 1233 ); if you like the new message class)

It is easy to fix for the output, but I guess not so easily for the "input": http://bn.wikisource.org/wiki/পাতা:হরিলক্ষী.djvu/১ have the do the same stuff (loading image, generating links to previous and next page, image link, ...) as http://bn.wikisource.org/wiki/পাতা:হরিলক্ষী.djvu/1 does.
Comment 4 Beau 2012-04-21 21:36:46 UTC
I have submitted a change https://gerrit.wikimedia.org/r/#q,I56936d35067f903bb1ef12af0e5e68e550941aea,n,z for review. The change only affects the way the page numbers are displayed. Page titles are not changed.
Comment 5 Beau 2012-04-27 06:17:14 UTC
The change has been merged, so part of this bug report is now fixed.
Comment 6 Belayet Hossain 2012-05-09 01:27:43 UTC
(In reply to comment #5)
> The change has been merged, so part of this bug report is now fixed.

Thank you for Bangla page number. Waiting for the tittle as well, because it is also very important for bnwikisource.
Comment 7 Tpt 2012-09-01 13:30:14 UTC
I have submitted a Change I72e5f079 that localized page titles. More info on the change description.
Comment 8 Tpt 2012-09-10 19:13:29 UTC
Patch merged.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links